#
# This task handles the update of the notifier data
#

package GShowTV::Data::NotifyTask;
use strict;
use warnings;

use Glib qw/TRUE FALSE/;
use GShowTV::Debug qw/debug/;
use GShowTV::Strings qw/is_old_date/;
use base 'GShowTV::Data::Task';

sub new {
	my $class = shift;
	my $self  = $class->SUPER::new(@_);
		
	bless ($self, $class);
	$self;
}

sub run {
	my $self = shift;

	if (scalar @{$self->{data}} == 0) {
		if (defined ($self->{reminders_for})) {
			debug("Found " . scalar @{$self->{reminders_for}} . " programs to show a notification for.");
		
			$self->{reminderer}->set_data($self->{reminders_for});
		}
		FALSE;
	} else {
		my $p = shift @{$self->{data}};

		foreach my $f (@{$self->{favourites}}) {
			next unless ($f->{reminder});
			next if (is_old_date($p->{start}));

			if ($f->isFavourite($p)) {
				my $d;
				$d->{f} = $f;
				$d->{p} = $p;
				push @{$self->{reminders_for}}, $d;
			}
		}
		TRUE;
	}
}

1;
