#
# This abstract task forms the basis of a list updateing task
#

package GShowTV::Data::ProgramListingTask;
use strict;
use warnings;

use Glib qw/TRUE FALSE/;
use base 'GShowTV::Data::Task';

use GShowTV::Debug   qw/debug/;
use GShowTV::Strings qw/format_right_notebooktime/;

sub new {
	my $class = shift;
	my $self  = $class->SUPER::new(@_);
	
	bless ($self, $class);
	$self;
}

sub test {
	die "Abstract base method called. ERROR!";
}

sub run {
	my $self = shift;

	if (! defined($self->{first_time})) {
		$self->update_list($self->{list});
		$self->{first_time} = 1;
		@{$self->{update_array}} = ();
		debug("First time is first time");
	}

	if (scalar @{$self->{data}} == 0) {
		$self->append_to_list($self->{list}, $self->{update_array});
		debug("done.");
		FALSE;
	} else {
		my $p = shift @{$self->{data}};

		if ($self->test($p)) {
			push @{$self->{update_array}}, $p;
		}

		if (scalar @{$self->{update_array}} >= 10) {
			$self->append_to_list($self->{list}, $self->{update_array});
			@{$self->{update_array}} = ();
		}
		TRUE;
	}
}

sub append_to_list {
	my ($self, $list, $data) = @_;

	$list->columns_autosize();

	foreach my $p (@$data) {
		my $color = undef;

		LOOP: foreach my $f (@{$self->{favourites}}) {
			if ($f->isFavourite($p)) {
				$color = $f->get_color();
				last LOOP;
			}
		}

		my $channelname = $self->{channels}->{$p->{channel}}->{name};
		
		push @{$list->{data}},
			[
			format_right_notebooktime($self->{config}, $p),
			$channelname,
			$p->{'title'},
			$p->{channel} . "." . $p->{start},
			$color
			];
	}
}

sub update_list {
	my $self = shift;
	my $list = shift;
	my $data = shift;
	
	@{$list->{data}} = ();
	$self->append_to_list($list, $data);
}

1;
