#
# This package represents an idle task
# 
package GShowTV::Data::Task;

use strict;
use warnings;

use GShowTV::Debug qw/debug/;

sub new {
	my $class = shift;
	my $self = bless {};
	my %par  = @_;

	foreach my $key (keys %par) {
		$self->{$key} = $par{$key};
	}

	$self;
}

sub set_config {
	my $self = shift;
	$self->{config} = shift;
}

sub set_programs {
	my $self = shift;
	$self->{data} = $self->flatten_program_tree(shift);
}

sub set_favourites {
	my $self = shift;
	$self->{favourites} = shift;
}

sub set_channels {
	my $self = shift;
	$self->{channels} = shift;
}

sub run {
	my $self = shift;
	die "Abstract run called, ERROR.";
}

sub flatten_program_tree {
	my $self = shift;
	my $program_tree = shift;
	
	my @array = ();
	
	my $start = time;

	# Sort the dates at least. Makes a big difference to the
	# user that the tree is sorted at least to a day precision.

	foreach my $d (sort keys %$program_tree) {
		foreach my $c (values %{$program_tree->{$d}}) {
			foreach my $p (values %$c) {
				push @array, $p;
			}
		}
	}
	my $end = time;

	debug("took " . ($end - $start) . "s.");
	\@array;
}

1;
