package GShowTV::Debug;

use GShowTV::Strings qw/time2str/;
use Exporter 'import';
@EXPORT_OK = qw /debug/;

use strict;

our $DEBUG = 0;

# Debug pretty printer

sub debug {
	my $message   = shift;
	
	$message = "undef" unless defined ($message);

	if ($DEBUG) {
		my $c = (caller(1))[3];
		$c = "" unless defined ($c);
		printf STDERR "%s %-50s %s\n", time2str("%Y%m%d %H:%M:%S", time) , $c, $message;
  }
}

# Utility for debugging
sub print_stack_trace {
	print STDERR "Stack Trace: \n";

	my $depth = 0;
	my @c     = caller($depth++);

	# Find out the max length of the caller
	my $max   = 0;	
	while (@c) {
		$max = length($c[3]) if ($max < length($c[3]));
		@c = caller($depth++);
	}

	# And print out the formatted stacktrace
	$depth = 0;
	@c     = caller($depth++);	
	while (@c) {
		printf STDERR "\t%-".$max."s %s %s %s\n", $c[3], "called from line", $c[2],"of";	
		@c = caller($depth++);
	}
}

1;
