#
# Glade wrapper. This package wraps the .glade file
#
package GShowTV::UI::GladeWrapper;

use Gtk2::GladeXML;
use strict;
use warnings;

my $xml;
{
   local $/ = undef;
   $xml = <DATA>;
}

sub get_glade {
  #my $g = Gtk2::GladeXML->new("gshowtv.glade", undef, "gshowtv");
  my $g = Gtk2::GladeXML->new_from_buffer($xml, undef, "gshowtv");
  
  $g;
}

1;

__DATA__
<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
<!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">

<glade-interface>

<widget class="GtkWindow" id="application">
  <property name="title" translatable="yes">TV Shows</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="default_width">720</property>
  <property name="default_height">500</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>

  <child>
    <widget class="GtkVBox" id="vbox8">
      <property name="visible">True</property>
      <property name="homogeneous">False</property>
      <property name="spacing">0</property>

      <child>
	<widget class="GtkAlignment" id="alignment16">
	  <property name="visible">True</property>
	  <property name="xalign">0.5</property>
	  <property name="yalign">0.5</property>
	  <property name="xscale">1</property>
	  <property name="yscale">1</property>
	  <property name="top_padding">0</property>
	  <property name="bottom_padding">0</property>
	  <property name="left_padding">0</property>
	  <property name="right_padding">0</property>

	  <child>
	    <widget class="GtkMenuBar" id="menubar">
	      <property name="visible">True</property>
	      <property name="pack_direction">GTK_PACK_DIRECTION_LTR</property>
	      <property name="child_pack_direction">GTK_PACK_DIRECTION_LTR</property>

	      <child>
		<widget class="GtkMenuItem" id="file1">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">_File</property>
		  <property name="use_underline">True</property>

		  <child>
		    <widget class="GtkMenu" id="file1_menu">

		      <child>
			<widget class="GtkImageMenuItem" id="quit">
			  <property name="visible">True</property>
			  <property name="label">gtk-quit</property>
			  <property name="use_stock">True</property>
			  <signal name="activate" handler="on_quit" last_modification_time="Tue, 29 Jun 2004 08:09:18 GMT"/>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkMenuItem" id="view">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">_View</property>
		  <property name="use_underline">True</property>

		  <child>
		    <widget class="GtkMenu" id="view_menu">

		      <child>
			<widget class="GtkMenuItem" id="current_view">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">Current _View</property>
			  <property name="use_underline">True</property>

			  <child>
			    <widget class="GtkMenu" id="current_view_menu">

			      <child>
				<widget class="GtkRadioMenuItem" id="list_view">
				  <property name="visible">True</property>
				  <property name="label" translatable="yes">_List view</property>
				  <property name="use_underline">True</property>
				  <property name="active">True</property>
				  <signal name="activate" handler="on_list_view_activate" last_modification_time="Wed, 16 Nov 2005 08:21:38 GMT"/>
				</widget>
			      </child>

			      <child>
				<widget class="GtkRadioMenuItem" id="grid_view">
				  <property name="visible">True</property>
				  <property name="label" translatable="yes">_Grid view</property>
				  <property name="use_underline">True</property>
				  <property name="active">False</property>
				  <property name="group">list_view</property>
				  <signal name="activate" handler="on_grid_view_activate" last_modification_time="Wed, 16 Nov 2005 08:21:49 GMT"/>
				</widget>
			      </child>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkCheckMenuItem" id="toolbar_visible">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">Toolbar</property>
			  <property name="use_underline">True</property>
			  <property name="active">True</property>
			  <signal name="activate" handler="on_toolbar_visible_activate" last_modification_time="Wed, 23 Nov 2005 08:55:27 GMT"/>
			  <accelerator key="T" modifiers="GDK_CONTROL_MASK | GDK_SHIFT_MASK" signal="activate"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="fullscreen">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Fullscreen</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_fullscreen_activate" last_modification_time="Tue, 03 Jan 2006 16:12:08 GMT"/>
			  <accelerator key="F5" modifiers="0" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image325">
			      <property name="visible">True</property>
			      <property name="stock">gtk-fullscreen</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkSeparatorMenuItem" id="separator2">
			  <property name="visible">True</property>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="nextdate">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Next date</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_nextdate_clicked" last_modification_time="Wed, 23 Nov 2005 08:56:35 GMT"/>
			  <accelerator key="KP_Add" modifiers="0" signal="activate"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="prevdate">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Previous date</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_prevdate_clicked" last_modification_time="Wed, 23 Nov 2005 08:58:42 GMT"/>
			  <accelerator key="KP_Subtract" modifiers="0" signal="activate"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="now">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">Now</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_now_clicked" last_modification_time="Wed, 23 Nov 2005 08:58:42 GMT"/>
			  <accelerator key="KP_Enter" modifiers="0" signal="activate"/>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkMenuItem" id="action">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">_Actions</property>
		  <property name="use_underline">True</property>

		  <child>
		    <widget class="GtkMenu" id="action_menu">

		      <child>
			<widget class="GtkImageMenuItem" id="record">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Record</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_record" last_modification_time="Tue, 15 Nov 2005 14:12:33 GMT"/>
			  <accelerator key="S" modifiers="GDK_CONTROL_MASK" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image326">
			      <property name="visible">True</property>
			      <property name="stock">gtk-media-record</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="cancel">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Cancel</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_cancel" last_modification_time="Tue, 15 Nov 2005 14:20:11 GMT"/>
			  <accelerator key="C" modifiers="GDK_CONTROL_MASK" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image327">
			      <property name="visible">True</property>
			      <property name="stock">gtk-cancel</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="delete">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Delete</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_delete" last_modification_time="Tue, 15 Nov 2005 14:12:04 GMT"/>
			  <accelerator key="D" modifiers="GDK_CONTROL_MASK" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image328">
			      <property name="visible">True</property>
			      <property name="stock">gtk-delete</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="watch">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Watch</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_watch" last_modification_time="Tue, 15 Nov 2005 14:24:51 GMT"/>
			  <accelerator key="W" modifiers="GDK_CONTROL_MASK" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image329">
			      <property name="visible">True</property>
			      <property name="stock">gtk-zoom-fit</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="nautilus">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Nautilus</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_nautilus" last_modification_time="Tue, 15 Nov 2005 14:25:31 GMT"/>
			  <accelerator key="N" modifiers="GDK_CONTROL_MASK" signal="activate"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image330">
			      <property name="visible">True</property>
			      <property name="stock">gtk-open</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkMenuItem" id="settings2">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">_Settings</property>
		  <property name="use_underline">True</property>

		  <child>
		    <widget class="GtkMenu" id="settings2_menu">

		      <child>
			<widget class="GtkImageMenuItem" id="preferences1">
			  <property name="visible">True</property>
			  <property name="label">gtk-preferences</property>
			  <property name="use_stock">True</property>
			  <signal name="activate" handler="on_preferences_activate" last_modification_time="Thu, 01 Jul 2004 12:39:36 GMT"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="favourites1">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Favourites</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_favourites_activate" last_modification_time="Thu, 01 Jul 2004 12:39:29 GMT"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="channels">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_Channels</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_channel_configuration_activate" last_modification_time="Thu, 10 Feb 2005 10:05:42 GMT"/>
			</widget>
		      </child>

		      <child>
			<widget class="GtkMenuItem" id="xmltv_druid">
			  <property name="visible">True</property>
			  <property name="sensitive">False</property>
			  <property name="label" translatable="yes">_XMLTV Druid</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_xmltv_druid_activate" last_modification_time="Thu, 08 Sep 2005 10:39:50 GMT"/>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkMenuItem" id="help1">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">_Help</property>
		  <property name="use_underline">True</property>

		  <child>
		    <widget class="GtkMenu" id="help1_menu">

		      <child>
			<widget class="GtkImageMenuItem" id="information2">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">_User Guide</property>
			  <property name="use_underline">True</property>
			  <signal name="activate" handler="on_information" last_modification_time="Thu, 01 Jul 2004 13:15:35 GMT"/>

			  <child internal-child="image">
			    <widget class="GtkImage" id="image331">
			      <property name="visible">True</property>
			      <property name="stock">gtk-help</property>
			      <property name="icon_size">1</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			    </widget>
			  </child>
			</widget>
		      </child>

		      <child>
			<widget class="GtkImageMenuItem" id="about">
			  <property name="visible">True</property>
			  <property name="label">gtk-about</property>
			  <property name="use_stock">True</property>
			  <signal name="activate" handler="on_about" last_modification_time="Mon, 28 Jun 2004 18:47:20 GMT"/>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>
	    </widget>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">False</property>
	</packing>
      </child>

      <child>
	<widget class="GtkVBox" id="vbox1">
	  <property name="visible">True</property>
	  <property name="homogeneous">False</property>
	  <property name="spacing">0</property>

	  <child>
	    <widget class="GtkVBox" id="vbox16">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkToolbar" id="toolbar">
		  <property name="visible">True</property>
		  <property name="orientation">GTK_ORIENTATION_HORIZONTAL</property>
		  <property name="tooltips">False</property>
		  <property name="show_arrow">True</property>

		  <child>
		    <widget class="GtkToolItem" id="toolitem4">
		      <property name="visible">True</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">False</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton4">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Previous date</property>
		      <property name="stock_id">gtk-media-previous</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		      <signal name="clicked" handler="on_prevdate_clicked" last_modification_time="Tue, 15 Nov 2005 12:52:56 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton3">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Next date</property>
		      <property name="stock_id">gtk-media-next</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		      <signal name="clicked" handler="on_nextdate_clicked" last_modification_time="Tue, 15 Nov 2005 12:53:08 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton5">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Go to NOW</property>
		      <property name="label" translatable="yes">Now</property>
		      <property name="use_underline">True</property>
		      <property name="stock_id">gtk-media-rewind</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">True</property>
		      <signal name="clicked" handler="on_now_clicked" last_modification_time="Tue, 15 Nov 2005 12:53:22 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkSeparatorToolItem" id="separatortoolitem3">
		      <property name="visible">True</property>
		      <property name="draw">True</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">False</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkRadioToolButton" id="gridradiotoolbutton">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Use gridview to display tv shows</property>
		      <property name="label" translatable="yes">Grid</property>
		      <property name="use_underline">True</property>
		      <property name="stock_id">gtk-index</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">True</property>
		      <property name="active">False</property>
		      <signal name="clicked" handler="on_grid_view_activate" last_modification_time="Tue, 15 Nov 2005 15:34:15 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkRadioToolButton" id="listradiotoolbutton">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Use listview to display shows</property>
		      <property name="label" translatable="yes">List</property>
		      <property name="use_underline">True</property>
		      <property name="stock_id">gtk-justify-fill</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">True</property>
		      <property name="active">True</property>
		      <property name="group">gridradiotoolbutton</property>
		      <signal name="clicked" handler="on_list_view_activate" last_modification_time="Tue, 15 Nov 2005 15:34:45 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkSeparatorToolItem" id="separatortoolitem1">
		      <property name="visible">True</property>
		      <property name="draw">True</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">False</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton2">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Record the selected show</property>
		      <property name="stock_id">gtk-media-record</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">True</property>
		      <signal name="clicked" handler="on_record" last_modification_time="Tue, 15 Nov 2005 13:08:28 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton10">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Cancel a preprogrammed recording.</property>
		      <property name="stock_id">gtk-cancel</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">True</property>
		      <signal name="clicked" handler="on_cancel" last_modification_time="Wed, 16 Nov 2005 07:45:07 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkSeparatorToolItem" id="separatortoolitem2">
		      <property name="visible">True</property>
		      <property name="draw">True</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">False</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton8">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Open a recorded show file.</property>
		      <property name="label" translatable="yes">Watch</property>
		      <property name="use_underline">True</property>
		      <property name="stock_id">gtk-zoom-fit</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		      <signal name="clicked" handler="on_watch" last_modification_time="Wed, 16 Nov 2005 07:46:58 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton9">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Open file manager window to recorded shows directory.</property>
		      <property name="label" translatable="yes">Nautilus</property>
		      <property name="use_underline">True</property>
		      <property name="stock_id">gtk-open</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		      <signal name="clicked" handler="on_nautilus" last_modification_time="Wed, 16 Nov 2005 07:47:18 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkToolButton" id="toolbutton7">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Remove show information about a recorded show.</property>
		      <property name="stock_id">gtk-delete</property>
		      <property name="visible_horizontal">True</property>
		      <property name="visible_vertical">True</property>
		      <property name="is_important">False</property>
		      <signal name="clicked" handler="on_delete" last_modification_time="Wed, 16 Nov 2005 07:47:38 GMT"/>
		    </widget>
		    <packing>
		      <property name="expand">False</property>
		      <property name="homogeneous">True</property>
		    </packing>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">False</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkHPaned" id="hpaned1">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="position">400</property>

		  <child>
		    <widget class="GtkNotebook" id="listnotebook">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="show_tabs">False</property>
		      <property name="show_border">False</property>
		      <property name="tab_pos">GTK_POS_TOP</property>
		      <property name="scrollable">False</property>
		      <property name="enable_popup">False</property>

		      <child>
			<widget class="GtkLabel" id="label44">
			  <property name="visible">True</property>
			  <property name="label">Placeholder</property>
			  <property name="use_underline">False</property>
			  <property name="use_markup">False</property>
			  <property name="justify">GTK_JUSTIFY_LEFT</property>
			  <property name="wrap">False</property>
			  <property name="selectable">False</property>
			  <property name="xalign">0.5</property>
			  <property name="yalign">0.5</property>
			  <property name="xpad">0</property>
			  <property name="ypad">0</property>
			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			  <property name="width_chars">-1</property>
			  <property name="single_line_mode">False</property>
			  <property name="angle">0</property>
			</widget>
			<packing>
			  <property name="tab_expand">False</property>
			  <property name="tab_fill">True</property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkLabel" id="label42">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">List</property>
			  <property name="use_underline">False</property>
			  <property name="use_markup">False</property>
			  <property name="justify">GTK_JUSTIFY_LEFT</property>
			  <property name="wrap">False</property>
			  <property name="selectable">False</property>
			  <property name="xalign">0.5</property>
			  <property name="yalign">0.5</property>
			  <property name="xpad">0</property>
			  <property name="ypad">0</property>
			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			  <property name="width_chars">-1</property>
			  <property name="single_line_mode">False</property>
			  <property name="angle">0</property>
			</widget>
			<packing>
			  <property name="type">tab</property>
			</packing>
		      </child>
		    </widget>
		    <packing>
		      <property name="shrink">True</property>
		      <property name="resize">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkVPaned" id="vpaned1">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="position">310</property>

		      <child>
			<widget class="GtkNotebook" id="rightnotebook">
			  <property name="visible">True</property>
			  <property name="can_focus">True</property>
			  <property name="show_tabs">True</property>
			  <property name="show_border">True</property>
			  <property name="tab_pos">GTK_POS_TOP</property>
			  <property name="scrollable">True</property>
			  <property name="enable_popup">True</property>

			  <child>
			    <widget class="GtkVBox" id="vbox2">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">0</property>

			      <child>
				<widget class="GtkScrolledWindow" id="scrolledwindow3">
				  <property name="border_width">2</property>
				  <property name="visible">True</property>
				  <property name="can_focus">True</property>
				  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="shadow_type">GTK_SHADOW_IN</property>
				  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

				  <child>
				    <widget class="GtkTreeView" id="favouritestreeview">
				      <property name="visible">True</property>
				      <property name="can_focus">True</property>
				      <property name="headers_visible">True</property>
				      <property name="rules_hint">True</property>
				      <property name="reorderable">False</property>
				      <property name="enable_search">True</property>
				      <property name="fixed_height_mode">False</property>
				      <property name="hover_selection">False</property>
				      <property name="hover_expand">False</property>
				    </widget>
				  </child>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">True</property>
				  <property name="fill">True</property>
				</packing>
			      </child>
			    </widget>
			    <packing>
			      <property name="tab_expand">False</property>
			      <property name="tab_fill">True</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label11">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Favourites</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="type">tab</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkVBox" id="vbox10">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">0</property>

			      <child>
				<widget class="GtkHBox" id="hbox12">
				  <property name="border_width">4</property>
				  <property name="visible">True</property>
				  <property name="homogeneous">False</property>
				  <property name="spacing">0</property>

				  <child>
				    <widget class="GtkLabel" id="label32">
				      <property name="visible">True</property>
				      <property name="label" translatable="yes">Search for:</property>
				      <property name="use_underline">False</property>
				      <property name="use_markup">False</property>
				      <property name="justify">GTK_JUSTIFY_LEFT</property>
				      <property name="wrap">False</property>
				      <property name="selectable">False</property>
				      <property name="xalign">1</property>
				      <property name="yalign">0.5</property>
				      <property name="xpad">5</property>
				      <property name="ypad">0</property>
				      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
				      <property name="width_chars">-1</property>
				      <property name="single_line_mode">False</property>
				      <property name="angle">0</property>
				    </widget>
				    <packing>
				      <property name="padding">0</property>
				      <property name="expand">False</property>
				      <property name="fill">False</property>
				    </packing>
				  </child>

				  <child>
				    <widget class="GtkEntry" id="findentry">
				      <property name="visible">True</property>
				      <property name="tooltip" translatable="yes">Search from show titles and descriptions</property>
				      <property name="can_focus">True</property>
				      <property name="editable">True</property>
				      <property name="visibility">True</property>
				      <property name="max_length">0</property>
				      <property name="text" translatable="yes"></property>
				      <property name="has_frame">True</property>
				      <property name="invisible_char">*</property>
				      <property name="activates_default">False</property>
				      <signal name="key_press_event" handler="on_key_press_event" last_modification_time="Thu, 26 May 2005 08:07:13 GMT"/>
				    </widget>
				    <packing>
				      <property name="padding">5</property>
				      <property name="expand">True</property>
				      <property name="fill">True</property>
				    </packing>
				  </child>

				  <child>
				    <widget class="GtkHButtonBox" id="hbuttonbox6">
				      <property name="visible">True</property>
				      <property name="layout_style">GTK_BUTTONBOX_DEFAULT_STYLE</property>
				      <property name="spacing">0</property>

				      <child>
					<widget class="GtkButton" id="button29">
					  <property name="visible">True</property>
					  <property name="can_default">True</property>
					  <property name="can_focus">True</property>
					  <property name="label">gtk-find</property>
					  <property name="use_stock">True</property>
					  <property name="relief">GTK_RELIEF_NORMAL</property>
					  <property name="focus_on_click">True</property>
					  <signal name="clicked" handler="on_findbutton_clicked" last_modification_time="Fri, 20 May 2005 05:38:30 GMT"/>
					</widget>
				      </child>
				    </widget>
				    <packing>
				      <property name="padding">5</property>
				      <property name="expand">False</property>
				      <property name="fill">True</property>
				    </packing>
				  </child>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">False</property>
				  <property name="fill">True</property>
				</packing>
			      </child>

			      <child>
				<widget class="GtkScrolledWindow" id="scrolledwindow10">
				  <property name="visible">True</property>
				  <property name="can_focus">True</property>
				  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="shadow_type">GTK_SHADOW_IN</property>
				  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

				  <child>
				    <widget class="GtkTreeView" id="findtreeview">
				      <property name="visible">True</property>
				      <property name="can_focus">True</property>
				      <property name="headers_visible">True</property>
				      <property name="rules_hint">True</property>
				      <property name="reorderable">False</property>
				      <property name="enable_search">True</property>
				      <property name="fixed_height_mode">False</property>
				      <property name="hover_selection">False</property>
				      <property name="hover_expand">False</property>
				    </widget>
				  </child>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">True</property>
				  <property name="fill">True</property>
				</packing>
			      </child>
			    </widget>
			    <packing>
			      <property name="tab_expand">False</property>
			      <property name="tab_fill">True</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label31">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Find</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="type">tab</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkVBox" id="vbox3">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">0</property>

			      <child>
				<widget class="GtkScrolledWindow" id="scrolledwindow4">
				  <property name="border_width">2</property>
				  <property name="visible">True</property>
				  <property name="can_focus">True</property>
				  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="shadow_type">GTK_SHADOW_IN</property>
				  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

				  <child>
				    <widget class="GtkTreeView" id="recordingtreeview">
				      <property name="visible">True</property>
				      <property name="can_focus">True</property>
				      <property name="headers_visible">True</property>
				      <property name="rules_hint">True</property>
				      <property name="reorderable">False</property>
				      <property name="enable_search">True</property>
				      <property name="fixed_height_mode">False</property>
				      <property name="hover_selection">False</property>
				      <property name="hover_expand">False</property>
				    </widget>
				  </child>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">True</property>
				  <property name="fill">True</property>
				</packing>
			      </child>
			    </widget>
			    <packing>
			      <property name="tab_expand">False</property>
			      <property name="tab_fill">True</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label2">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Recording</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="type">tab</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkVBox" id="vbox4">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">0</property>

			      <child>
				<widget class="GtkScrolledWindow" id="scrolledwindow5">
				  <property name="border_width">2</property>
				  <property name="visible">True</property>
				  <property name="can_focus">True</property>
				  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="shadow_type">GTK_SHADOW_IN</property>
				  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

				  <child>
				    <widget class="GtkTreeView" id="recordedtreeview">
				      <property name="visible">True</property>
				      <property name="can_focus">True</property>
				      <property name="headers_visible">True</property>
				      <property name="rules_hint">True</property>
				      <property name="reorderable">False</property>
				      <property name="enable_search">True</property>
				      <property name="fixed_height_mode">False</property>
				      <property name="hover_selection">False</property>
				      <property name="hover_expand">False</property>
				    </widget>
				  </child>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">True</property>
				  <property name="fill">True</property>
				</packing>
			      </child>
			    </widget>
			    <packing>
			      <property name="tab_expand">False</property>
			      <property name="tab_fill">True</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label13">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">On disk</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="type">tab</property>
			    </packing>
			  </child>
			</widget>
			<packing>
			  <property name="shrink">True</property>
			  <property name="resize">True</property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkFrame" id="frame3">
			  <property name="height_request">90</property>
			  <property name="visible">True</property>
			  <property name="label_xalign">0</property>
			  <property name="label_yalign">0.5</property>
			  <property name="shadow_type">GTK_SHADOW_ETCHED_IN</property>

			  <child>
			    <widget class="GtkAlignment" id="alignment4">
			      <property name="visible">True</property>
			      <property name="xalign">0</property>
			      <property name="yalign">0.5</property>
			      <property name="xscale">1</property>
			      <property name="yscale">1</property>
			      <property name="top_padding">0</property>
			      <property name="bottom_padding">0</property>
			      <property name="left_padding">12</property>
			      <property name="right_padding">0</property>

			      <child>
				<widget class="GtkScrolledWindow" id="scrolledwindow2">
				  <property name="visible">True</property>
				  <property name="can_focus">True</property>
				  <property name="hscrollbar_policy">GTK_POLICY_NEVER</property>
				  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
				  <property name="shadow_type">GTK_SHADOW_NONE</property>
				  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

				  <child>
				    <widget class="GtkViewport" id="viewport1">
				      <property name="visible">True</property>
				      <property name="shadow_type">GTK_SHADOW_NONE</property>

				      <child>
					<widget class="GtkLabel" id="label">
					  <property name="visible">True</property>
					  <property name="can_focus">True</property>
					  <property name="label" translatable="yes">Shows description</property>
					  <property name="use_underline">False</property>
					  <property name="use_markup">False</property>
					  <property name="justify">GTK_JUSTIFY_LEFT</property>
					  <property name="wrap">True</property>
					  <property name="selectable">True</property>
					  <property name="xalign">0</property>
					  <property name="yalign">0.5</property>
					  <property name="xpad">0</property>
					  <property name="ypad">0</property>
					  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
					  <property name="width_chars">-1</property>
					  <property name="single_line_mode">False</property>
					  <property name="angle">0</property>
					</widget>
				      </child>
				    </widget>
				  </child>
				</widget>
			      </child>
			    </widget>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label5">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Details</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">True</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="type">label_item</property>
			    </packing>
			  </child>
			</widget>
			<packing>
			  <property name="shrink">True</property>
			  <property name="resize">True</property>
			</packing>
		      </child>
		    </widget>
		    <packing>
		      <property name="shrink">True</property>
		      <property name="resize">True</property>
		    </packing>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">True</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">True</property>
	  <property name="fill">True</property>
	</packing>
      </child>

      <child>
	<widget class="GtkStatusbar" id="statusbar">
	  <property name="visible">True</property>
	  <property name="has_resize_grip">True</property>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">False</property>
	</packing>
      </child>
    </widget>
  </child>
</widget>

<widget class="GtkWindow" id="favouriteslistdialogwindow">
  <property name="title" translatable="yes">TV Shows - Favourites</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>

  <child>
    <widget class="GtkAlignment" id="alignment">
      <property name="width_request">500</property>
      <property name="height_request">300</property>
      <property name="visible">True</property>
      <property name="xalign">0.5</property>
      <property name="yalign">0.5</property>
      <property name="xscale">1</property>
      <property name="yscale">1</property>
      <property name="top_padding">12</property>
      <property name="bottom_padding">12</property>
      <property name="left_padding">12</property>
      <property name="right_padding">12</property>

      <child>
	<widget class="GtkVBox" id="vbox18">
	  <property name="visible">True</property>
	  <property name="homogeneous">False</property>
	  <property name="spacing">0</property>

	  <child>
	    <widget class="GtkLabel" id="label8">
	      <property name="visible">True</property>
	      <property name="label" translatable="yes">&lt;b&gt;Favourites&lt;/b&gt;</property>
	      <property name="use_underline">False</property>
	      <property name="use_markup">True</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">False</property>
	      <property name="selectable">False</property>
	      <property name="xalign">0</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">5</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkHBox" id="hbox5">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkAlignment" id="alignment2">
		  <property name="visible">True</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xscale">1</property>
		  <property name="yscale">1</property>
		  <property name="top_padding">0</property>
		  <property name="bottom_padding">0</property>
		  <property name="left_padding">10</property>
		  <property name="right_padding">0</property>

		  <child>
		    <widget class="GtkScrolledWindow" id="scrolledwindow1">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="hscrollbar_policy">GTK_POLICY_NEVER</property>
		      <property name="vscrollbar_policy">GTK_POLICY_ALWAYS</property>
		      <property name="shadow_type">GTK_SHADOW_IN</property>
		      <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

		      <child>
			<widget class="GtkTreeView" id="treeview">
			  <property name="visible">True</property>
			  <property name="can_focus">True</property>
			  <property name="headers_visible">True</property>
			  <property name="rules_hint">False</property>
			  <property name="reorderable">False</property>
			  <property name="enable_search">True</property>
			  <property name="fixed_height_mode">False</property>
			  <property name="hover_selection">False</property>
			  <property name="hover_expand">False</property>
			</widget>
		      </child>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkVButtonBox" id="vbuttonbox1">
		  <property name="visible">True</property>
		  <property name="layout_style">GTK_BUTTONBOX_START</property>
		  <property name="spacing">0</property>

		  <child>
		    <widget class="GtkButton" id="addfavbutton">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="label">gtk-add</property>
		      <property name="use_stock">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		    </widget>
		  </child>

		  <child>
		    <widget class="GtkButton" id="editbutton">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="label">gtk-edit</property>
		      <property name="use_stock">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		    </widget>
		  </child>

		  <child>
		    <widget class="GtkButton" id="removebutton">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="label">gtk-remove</property>
		      <property name="use_stock">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">True</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>
	</widget>
      </child>
    </widget>
  </child>
</widget>

<widget class="GtkWindow" id="favouritesdialogwindow">
  <property name="title" translatable="yes">TV Shows - Favourite</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>

  <child>
    <widget class="GtkAlignment" id="alignment20">
      <property name="visible">True</property>
      <property name="xalign">0.5</property>
      <property name="yalign">0.5</property>
      <property name="xscale">1</property>
      <property name="yscale">1</property>
      <property name="top_padding">12</property>
      <property name="bottom_padding">12</property>
      <property name="left_padding">12</property>
      <property name="right_padding">12</property>

      <child>
	<widget class="GtkVBox" id="vbox6">
	  <property name="visible">True</property>
	  <property name="homogeneous">False</property>
	  <property name="spacing">0</property>

	  <child>
	    <widget class="GtkHBox" id="hbox1">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkLabel" id="label1">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">&lt;b&gt;Favourite name&lt;/b&gt;</property>
		  <property name="use_underline">False</property>
		  <property name="use_markup">True</property>
		  <property name="justify">GTK_JUSTIFY_LEFT</property>
		  <property name="wrap">False</property>
		  <property name="selectable">False</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xpad">5</property>
		  <property name="ypad">0</property>
		  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
		  <property name="width_chars">-1</property>
		  <property name="single_line_mode">False</property>
		  <property name="angle">0</property>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">False</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkEntry" id="nameentry">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="editable">True</property>
		  <property name="visibility">True</property>
		  <property name="max_length">0</property>
		  <property name="text" translatable="yes"></property>
		  <property name="has_frame">True</property>
		  <property name="invisible_char">●</property>
		  <property name="activates_default">False</property>
		  <property name="width_chars">30</property>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkFrame" id="frame1">
	      <property name="visible">True</property>
	      <property name="label_xalign">0</property>
	      <property name="label_yalign">0.5</property>
	      <property name="shadow_type">GTK_SHADOW_NONE</property>

	      <child>
		<widget class="GtkAlignment" id="alignment3">
		  <property name="visible">True</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xscale">1</property>
		  <property name="yscale">1</property>
		  <property name="top_padding">0</property>
		  <property name="bottom_padding">0</property>
		  <property name="left_padding">12</property>
		  <property name="right_padding">0</property>

		  <child>
		    <widget class="GtkVBox" id="vbox11">
		      <property name="visible">True</property>
		      <property name="homogeneous">False</property>
		      <property name="spacing">12</property>

		      <child>
			<widget class="GtkHBox" id="hbox2">
			  <property name="visible">True</property>
			  <property name="homogeneous">False</property>
			  <property name="spacing">0</property>

			  <child>
			    <widget class="GtkButton" id="addrulebutton">
			      <property name="visible">True</property>
			      <property name="can_focus">True</property>
			      <property name="label">gtk-add</property>
			      <property name="use_stock">True</property>
			      <property name="relief">GTK_RELIEF_NORMAL</property>
			      <property name="focus_on_click">True</property>
			    </widget>
			    <packing>
			      <property name="padding">0</property>
			      <property name="expand">False</property>
			      <property name="fill">False</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkComboBox" id="criteriamodecombobox">
			      <property name="visible">True</property>
			      <property name="items" translatable="yes">If all criteria is met
If any criteria is met</property>
			      <property name="add_tearoffs">False</property>
			      <property name="focus_on_click">True</property>
			    </widget>
			    <packing>
			      <property name="padding">0</property>
			      <property name="expand">False</property>
			      <property name="fill">False</property>
			      <property name="pack_type">GTK_PACK_END</property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label4">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Find shows:</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_RIGHT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0.5</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">12</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="padding">0</property>
			      <property name="expand">False</property>
			      <property name="fill">False</property>
			      <property name="pack_type">GTK_PACK_END</property>
			    </packing>
			  </child>
			</widget>
			<packing>
			  <property name="padding">0</property>
			  <property name="expand">False</property>
			  <property name="fill">True</property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkScrolledWindow" id="scrolledwindow6">
			  <property name="height_request">120</property>
			  <property name="visible">True</property>
			  <property name="can_focus">True</property>
			  <property name="hscrollbar_policy">GTK_POLICY_NEVER</property>
			  <property name="vscrollbar_policy">GTK_POLICY_ALWAYS</property>
			  <property name="shadow_type">GTK_SHADOW_NONE</property>
			  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

			  <child>
			    <widget class="GtkViewport" id="viewport2">
			      <property name="visible">True</property>
			      <property name="shadow_type">GTK_SHADOW_IN</property>

			      <child>
				<widget class="GtkVBox" id="criteriavbox">
				  <property name="visible">True</property>
				  <property name="homogeneous">False</property>
				  <property name="spacing">0</property>

				  <child>
				    <placeholder/>
				  </child>
				</widget>
			      </child>
			    </widget>
			  </child>
			</widget>
			<packing>
			  <property name="padding">0</property>
			  <property name="expand">True</property>
			  <property name="fill">True</property>
			</packing>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkLabel" id="label9">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">&lt;b&gt;Find shows that meet the following criteria&lt;/b&gt;</property>
		  <property name="use_underline">False</property>
		  <property name="use_markup">True</property>
		  <property name="justify">GTK_JUSTIFY_LEFT</property>
		  <property name="wrap">False</property>
		  <property name="selectable">False</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xpad">0</property>
		  <property name="ypad">12</property>
		  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
		  <property name="width_chars">-1</property>
		  <property name="single_line_mode">False</property>
		  <property name="angle">0</property>
		</widget>
		<packing>
		  <property name="type">label_item</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">True</property>
	      <property name="fill">True</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkFrame" id="frame2">
	      <property name="visible">True</property>
	      <property name="label_xalign">0</property>
	      <property name="label_yalign">0.5</property>
	      <property name="shadow_type">GTK_SHADOW_NONE</property>

	      <child>
		<widget class="GtkAlignment" id="alignment5">
		  <property name="visible">True</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xscale">1</property>
		  <property name="yscale">1</property>
		  <property name="top_padding">0</property>
		  <property name="bottom_padding">0</property>
		  <property name="left_padding">12</property>
		  <property name="right_padding">0</property>

		  <child>
		    <widget class="GtkVBox" id="vbox19">
		      <property name="visible">True</property>
		      <property name="homogeneous">False</property>
		      <property name="spacing">5</property>

		      <child>
			<widget class="GtkCheckButton" id="includeinlistcheckbutton">
			  <property name="visible">True</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">Include in favourites list</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NORMAL</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">True</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="padding">0</property>
			  <property name="expand">False</property>
			  <property name="fill">False</property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkCheckButton" id="showremindercheckbutton">
			  <property name="visible">True</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">Show reminder</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NORMAL</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">True</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="padding">0</property>
			  <property name="expand">False</property>
			  <property name="fill">False</property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkTable" id="table3">
			  <property name="visible">True</property>
			  <property name="n_rows">2</property>
			  <property name="n_columns">2</property>
			  <property name="homogeneous">False</property>
			  <property name="row_spacing">0</property>
			  <property name="column_spacing">13</property>

			  <child>
			    <widget class="GtkLabel" id="label6">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">When to remind</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="left_attach">0</property>
			      <property name="right_attach">1</property>
			      <property name="top_attach">0</property>
			      <property name="bottom_attach">1</property>
			      <property name="x_options">fill</property>
			      <property name="y_options"></property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkLabel" id="label7">
			      <property name="visible">True</property>
			      <property name="label" translatable="yes">Choose color</property>
			      <property name="use_underline">False</property>
			      <property name="use_markup">False</property>
			      <property name="justify">GTK_JUSTIFY_LEFT</property>
			      <property name="wrap">False</property>
			      <property name="selectable">False</property>
			      <property name="xalign">0</property>
			      <property name="yalign">0.5</property>
			      <property name="xpad">0</property>
			      <property name="ypad">0</property>
			      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			      <property name="width_chars">-1</property>
			      <property name="single_line_mode">False</property>
			      <property name="angle">0</property>
			    </widget>
			    <packing>
			      <property name="left_attach">0</property>
			      <property name="right_attach">1</property>
			      <property name="top_attach">1</property>
			      <property name="bottom_attach">2</property>
			      <property name="x_options">fill</property>
			      <property name="y_options"></property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkColorButton" id="colorbutton">
			      <property name="visible">True</property>
			      <property name="can_focus">True</property>
			      <property name="use_alpha">False</property>
			      <property name="focus_on_click">True</property>
			    </widget>
			    <packing>
			      <property name="left_attach">1</property>
			      <property name="right_attach">2</property>
			      <property name="top_attach">1</property>
			      <property name="bottom_attach">2</property>
			      <property name="x_options">fill</property>
			      <property name="y_options"></property>
			    </packing>
			  </child>

			  <child>
			    <widget class="GtkSpinButton" id="whentoremindspinbutton">
			      <property name="visible">True</property>
			      <property name="tooltip" translatable="yes">Choose how many minutes before to remind for this show</property>
			      <property name="can_focus">True</property>
			      <property name="climb_rate">1</property>
			      <property name="digits">0</property>
			      <property name="numeric">False</property>
			      <property name="update_policy">GTK_UPDATE_ALWAYS</property>
			      <property name="snap_to_ticks">False</property>
			      <property name="wrap">False</property>
			      <property name="adjustment">5 0 120 1 10 10</property>
			    </widget>
			    <packing>
			      <property name="left_attach">1</property>
			      <property name="right_attach">2</property>
			      <property name="top_attach">0</property>
			      <property name="bottom_attach">1</property>
			      <property name="x_options">fill</property>
			      <property name="y_options"></property>
			    </packing>
			  </child>
			</widget>
			<packing>
			  <property name="padding">0</property>
			  <property name="expand">True</property>
			  <property name="fill">True</property>
			</packing>
		      </child>
		    </widget>
		  </child>
		</widget>
	      </child>

	      <child>
		<widget class="GtkLabel" id="label10">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">&lt;b&gt;Then&lt;/b&gt;</property>
		  <property name="use_underline">False</property>
		  <property name="use_markup">True</property>
		  <property name="justify">GTK_JUSTIFY_LEFT</property>
		  <property name="wrap">False</property>
		  <property name="selectable">False</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xpad">0</property>
		  <property name="ypad">12</property>
		  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
		  <property name="width_chars">-1</property>
		  <property name="single_line_mode">False</property>
		  <property name="angle">0</property>
		</widget>
		<packing>
		  <property name="type">label_item</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="padding">0</property>
	      <property name="expand">False</property>
	      <property name="fill">False</property>
	    </packing>
	  </child>
	</widget>
      </child>
    </widget>
  </child>
</widget>

<widget class="GtkWindow" id="configdialog">
  <property name="title" translatable="yes">TV Shows - Configuration</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="default_width">350</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>

  <child>
    <widget class="GtkAlignment" id="alignment21">
      <property name="visible">True</property>
      <property name="xalign">0.5</property>
      <property name="yalign">0.5</property>
      <property name="xscale">1</property>
      <property name="yscale">1</property>
      <property name="top_padding">10</property>
      <property name="bottom_padding">10</property>
      <property name="left_padding">10</property>
      <property name="right_padding">10</property>

      <child>
	<widget class="GtkNotebook" id="notebook1">
	  <property name="visible">True</property>
	  <property name="can_focus">True</property>
	  <property name="show_tabs">True</property>
	  <property name="show_border">True</property>
	  <property name="tab_pos">GTK_POS_TOP</property>
	  <property name="scrollable">False</property>
	  <property name="enable_popup">False</property>

	  <child>
	    <widget class="GtkVBox" id="vbox5">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkLabel" id="label38">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">&lt;b&gt;TV Show configuration&lt;/b&gt;</property>
		  <property name="use_underline">False</property>
		  <property name="use_markup">True</property>
		  <property name="justify">GTK_JUSTIFY_LEFT</property>
		  <property name="wrap">False</property>
		  <property name="selectable">False</property>
		  <property name="xalign">0</property>
		  <property name="yalign">0</property>
		  <property name="xpad">10</property>
		  <property name="ypad">10</property>
		  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
		  <property name="width_chars">-1</property>
		  <property name="single_line_mode">False</property>
		  <property name="angle">0</property>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">False</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkAlignment" id="alignment7">
		  <property name="visible">True</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xscale">1</property>
		  <property name="yscale">1</property>
		  <property name="top_padding">0</property>
		  <property name="bottom_padding">5</property>
		  <property name="left_padding">20</property>
		  <property name="right_padding">10</property>

		  <child>
		    <widget class="GtkTable" id="table1">
		      <property name="visible">True</property>
		      <property name="n_rows">6</property>
		      <property name="n_columns">2</property>
		      <property name="homogeneous">False</property>
		      <property name="row_spacing">5</property>
		      <property name="column_spacing">5</property>

		      <child>
			<widget class="GtkLabel" id="label19">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">XMLTV xml file </property>
			  <property name="use_underline">False</property>
			  <property name="use_markup">False</property>
			  <property name="justify">GTK_JUSTIFY_LEFT</property>
			  <property name="wrap">False</property>
			  <property name="selectable">False</property>
			  <property name="xalign">0</property>
			  <property name="yalign">0.5</property>
			  <property name="xpad">0</property>
			  <property name="ypad">0</property>
			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			  <property name="width_chars">-1</property>
			  <property name="single_line_mode">False</property>
			  <property name="angle">0</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">1</property>
			  <property name="top_attach">0</property>
			  <property name="bottom_attach">1</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkFileChooserButton" id="xmltvfileentry">
			  <property name="visible">True</property>
			  <property name="title"></property>
			  <property name="action">GTK_FILE_CHOOSER_ACTION_OPEN</property>
			  <property name="local_only">True</property>
			  <property name="show_hidden">False</property>
			  <property name="do_overwrite_confirmation">False</property>
			  <property name="width_chars">-1</property>
			</widget>
			<packing>
			  <property name="left_attach">1</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">0</property>
			  <property name="bottom_attach">1</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkCheckButton" id="viewpastshowscheckbutton">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">If selected, show all shows. If not selected, show only shows in the future.</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">View past shows</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NONE</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">False</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">1</property>
			  <property name="bottom_attach">2</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkCheckButton" id="useimagescheckbutton">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">Channel images are used instead of channel names in the channel list.</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">Use channel images</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NORMAL</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">True</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">2</property>
			  <property name="bottom_attach">3</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkCheckButton" id="loadimagescheckbutton">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">Autoloads channel images if they are present in the XMLTV file.</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">Autoload channel images</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NORMAL</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">False</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">3</property>
			  <property name="bottom_attach">4</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkLabel" id="label3">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">Date format</property>
			  <property name="use_underline">False</property>
			  <property name="use_markup">False</property>
			  <property name="justify">GTK_JUSTIFY_LEFT</property>
			  <property name="wrap">False</property>
			  <property name="selectable">False</property>
			  <property name="xalign">0</property>
			  <property name="yalign">0.5</property>
			  <property name="xpad">0</property>
			  <property name="ypad">0</property>
			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			  <property name="width_chars">-1</property>
			  <property name="single_line_mode">False</property>
			  <property name="angle">0</property>
			</widget>
			<packing>
			  <property name="left_attach">1</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">5</property>
			  <property name="bottom_attach">6</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkCheckButton" id="24hcheckbutton">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">If selected, use 24h time format instead of 12h. (AM/PM)</property>
			  <property name="can_focus">True</property>
			  <property name="label" translatable="yes">Use 24h time format</property>
			  <property name="use_underline">True</property>
			  <property name="relief">GTK_RELIEF_NORMAL</property>
			  <property name="focus_on_click">True</property>
			  <property name="active">True</property>
			  <property name="inconsistent">False</property>
			  <property name="draw_indicator">True</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">4</property>
			  <property name="bottom_attach">5</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkEventBox" id="eventbox2">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">Select how to show dates.</property>
			  <property name="visible_window">True</property>
			  <property name="above_child">False</property>

			  <child>
			    <widget class="GtkComboBox" id="dateformatcombobox">
			      <property name="visible">True</property>
			      <property name="items" translatable="yes"></property>
			      <property name="add_tearoffs">False</property>
			      <property name="focus_on_click">True</property>
			    </widget>
			  </child>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">1</property>
			  <property name="top_attach">5</property>
			  <property name="bottom_attach">6</property>
			  <property name="x_options">fill</property>
			  <property name="y_options">fill</property>
			</packing>
		      </child>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="tab_expand">False</property>
	      <property name="tab_fill">True</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkLabel" id="label34">
	      <property name="visible">True</property>
	      <property name="label" translatable="yes">General</property>
	      <property name="use_underline">False</property>
	      <property name="use_markup">False</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">False</property>
	      <property name="selectable">False</property>
	      <property name="xalign">0.5</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">0</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="type">tab</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkVBox" id="vbox13">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkLabel" id="label18">
		  <property name="visible">True</property>
		  <property name="label" translatable="yes">&lt;b&gt;Recording configuration&lt;/b&gt;</property>
		  <property name="use_underline">False</property>
		  <property name="use_markup">True</property>
		  <property name="justify">GTK_JUSTIFY_LEFT</property>
		  <property name="wrap">False</property>
		  <property name="selectable">False</property>
		  <property name="xalign">0</property>
		  <property name="yalign">0</property>
		  <property name="xpad">10</property>
		  <property name="ypad">10</property>
		  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
		  <property name="width_chars">-1</property>
		  <property name="single_line_mode">False</property>
		  <property name="angle">0</property>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">False</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkAlignment" id="alignment8">
		  <property name="visible">True</property>
		  <property name="xalign">0.5</property>
		  <property name="yalign">0.5</property>
		  <property name="xscale">1</property>
		  <property name="yscale">1</property>
		  <property name="top_padding">0</property>
		  <property name="bottom_padding">5</property>
		  <property name="left_padding">20</property>
		  <property name="right_padding">10</property>

		  <child>
		    <widget class="GtkTable" id="table2">
		      <property name="visible">True</property>
		      <property name="n_rows">1</property>
		      <property name="n_columns">2</property>
		      <property name="homogeneous">False</property>
		      <property name="row_spacing">5</property>
		      <property name="column_spacing">5</property>

		      <child>
			<widget class="GtkLabel" id="label43">
			  <property name="visible">True</property>
			  <property name="label" translatable="yes">Recording interface</property>
			  <property name="use_underline">False</property>
			  <property name="use_markup">False</property>
			  <property name="justify">GTK_JUSTIFY_LEFT</property>
			  <property name="wrap">False</property>
			  <property name="selectable">False</property>
			  <property name="xalign">0</property>
			  <property name="yalign">0.5</property>
			  <property name="xpad">0</property>
			  <property name="ypad">0</property>
			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
			  <property name="width_chars">-1</property>
			  <property name="single_line_mode">False</property>
			  <property name="angle">0</property>
			</widget>
			<packing>
			  <property name="left_attach">0</property>
			  <property name="right_attach">1</property>
			  <property name="top_attach">0</property>
			  <property name="bottom_attach">1</property>
			  <property name="x_options">fill</property>
			  <property name="y_options"></property>
			</packing>
		      </child>

		      <child>
			<widget class="GtkEventBox" id="eventbox3">
			  <property name="visible">True</property>
			  <property name="tooltip" translatable="yes">Select the appropriate recording backend.</property>
			  <property name="visible_window">True</property>
			  <property name="above_child">False</property>

			  <child>
			    <widget class="GtkFileChooserButton" id="pvrinterfaceentry">
			      <property name="title" translatable="yes">Select A File</property>
			      <property name="action">GTK_FILE_CHOOSER_ACTION_OPEN</property>
			      <property name="local_only">True</property>
			      <property name="show_hidden">False</property>
			      <property name="do_overwrite_confirmation">False</property>
			      <property name="width_chars">-1</property>
			    </widget>
			  </child>
			</widget>
			<packing>
			  <property name="left_attach">1</property>
			  <property name="right_attach">2</property>
			  <property name="top_attach">0</property>
			  <property name="bottom_attach">1</property>
			  <property name="y_options"></property>
			</packing>
		      </child>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="tab_expand">False</property>
	      <property name="tab_fill">True</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkLabel" id="label35">
	      <property name="visible">True</property>
	      <property name="label" translatable="yes">Recording</property>
	      <property name="use_underline">False</property>
	      <property name="use_markup">False</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">False</property>
	      <property name="selectable">False</property>
	      <property name="xalign">0.5</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">0</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="type">tab</property>
	    </packing>
	  </child>
	</widget>
      </child>
    </widget>
  </child>
</widget>

<widget class="GtkWindow" id="channeldialog">
  <property name="title" translatable="yes">TV Shows - Channels</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="default_width">500</property>
  <property name="default_height">400</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <property name="urgency_hint">False</property>

  <child>
    <widget class="GtkVBox" id="vbox20">
      <property name="visible">True</property>
      <property name="homogeneous">False</property>
      <property name="spacing">0</property>

      <child>
	<widget class="GtkLabel" id="label30">
	  <property name="visible">True</property>
	  <property name="label" translatable="yes">&lt;b&gt;Channel configuration&lt;/b&gt;</property>
	  <property name="use_underline">False</property>
	  <property name="use_markup">True</property>
	  <property name="justify">GTK_JUSTIFY_LEFT</property>
	  <property name="wrap">False</property>
	  <property name="selectable">False</property>
	  <property name="xalign">0</property>
	  <property name="yalign">0</property>
	  <property name="xpad">10</property>
	  <property name="ypad">10</property>
	  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	  <property name="width_chars">-1</property>
	  <property name="single_line_mode">False</property>
	  <property name="angle">0</property>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">False</property>
	</packing>
      </child>

      <child>
	<widget class="GtkAlignment" id="alignment14">
	  <property name="visible">True</property>
	  <property name="xalign">0.5</property>
	  <property name="yalign">0.5</property>
	  <property name="xscale">1</property>
	  <property name="yscale">1</property>
	  <property name="top_padding">0</property>
	  <property name="bottom_padding">10</property>
	  <property name="left_padding">10</property>
	  <property name="right_padding">10</property>

	  <child>
	    <widget class="GtkVBox" id="vbox17">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">0</property>

	      <child>
		<widget class="GtkScrolledWindow" id="scrolledwindow9">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="shadow_type">GTK_SHADOW_IN</property>
		  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

		  <child>
		    <widget class="GtkTreeView" id="channelconftreeview">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Change the order of channels by dragging the channels to appropriate order. You can also change channel images, channel names or PVR IDs by double clicking on it. The PVR ID is the name of the channel in the form that your PVR uses. </property>
		      <property name="can_focus">True</property>
		      <property name="headers_visible">True</property>
		      <property name="rules_hint">True</property>
		      <property name="reorderable">True</property>
		      <property name="enable_search">False</property>
		      <property name="fixed_height_mode">False</property>
		      <property name="hover_selection">False</property>
		      <property name="hover_expand">False</property>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">True</property>
	  <property name="fill">True</property>
	</packing>
      </child>
    </widget>
  </child>
</widget>

</glade-interface>
