# $Id: ProgressWindow.pm,v 1.1 2007/04/02 08:59:39 pvakevai Exp $
#
# This is the progressbar window
#
package GShowTV::UI::ProgressWindow;

use Glib qw(TRUE FALSE);
use Gtk2;

use strict;
use warnings;

use GShowTV::UI::GladeWrapper;
use GShowTV::Constants;
use GShowTV::Debug qw/debug/;

use Glib::Object::Subclass
    Gtk2::Window::;

sub INIT_INSTANCE {
    my $self = shift;

	$self->set_position('center');
	$self->set_modal(FALSE);
	$self->set_resizable(FALSE);
	$self->set_destroy_with_parent(FALSE);
	$self->set_decorated(FALSE);
	$self->set_skip_pager_hint(TRUE);
	$self->set_skip_taskbar_hint(TRUE);
	$self->set_type_hint('dialog');
	$self->set_keep_above(TRUE);
	
    $self->{progressbar} = Gtk2::ProgressBar->new();
    $self->{label}       = Gtk2::Label->new();

	my $viewport = Gtk2::Viewport->new();
	$viewport->set_shadow_type('etched-out');
	$viewport->set_border_width(1);
	$self->add($viewport);
	
	my $hbox = Gtk2::HBox->new(FALSE, 0);
	$hbox->set_border_width(1);
	$viewport->add($hbox);

	$hbox->pack_start(Gtk2::Image->new_from_file($GShowTV::Constants::application_image), TRUE, TRUE, 5);	
	my $vbox = Gtk2::VBox->new(FALSE, 0);
	$hbox->add($vbox);
		
	$vbox->pack_start($self->{label}, FALSE, FALSE, 0);
	$vbox->pack_start($self->{progressbar}, FALSE, FALSE, 0);

    $self->hide_all();
}

sub set_label {
	my $self = shift;
	my $msg  = shift;
	
	$self->{label}->set_text($msg);
}

sub set_text {
	my $self = shift;
	my $text = shift;
	
	$self->{progressbar}->set_text($text);
}

sub set_fraction {
	my $self = shift;
	my $f    = shift;
	
	$self->{progressbar}->set_fraction($f);
}

1;
